View Issue Details

IDProjectCategoryView StatusLast Update
0032236CommunityOCCT:Modeling Algorithmspublic2021-09-18 09:54
Reporterabezotosniy Assigned Tosmoskvin  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version7.5.0 
Target Version7.7.0Fixed in Version7.6.0 
Summary0032236: Modeling Algorithms - Exception on calculation optimal bounding box
DescriptionOCC throw exception on calculation optimal bounding box for the shape with all degenerated edges.

Such surface can be obtained from GeomPlate_BuildPlateSurface with following parameters:
Points: {0, 0, 0}, {0, 0, 1}, {0, 1, 1}
Tolerance: 20


It is not possible to set tolerance for gplate in DRAW
So I stored it and attached in plane.brep
Steps To Reproduce
restore plane.brep aaa
bounding -optimal aaa
TagsNo tags attached.
Test case numberbugs\modalg_7\optimal_bndbox_exception

Attached Files

  • plane.brep (1,524 bytes)

Activities

abezotosniy

2021-03-22 19:32

reporter  

plane.brep (1,524 bytes)

git

2021-03-24 10:37

administrator   ~0099701

Branch CR32236 has been created by kgv.

SHA-1: 11a911a901c107c144c19b88091747c68a25bba8


Detailed log of new commits:

Author: kgv
Date: Wed Mar 24 10:37:29 2021 +0300

    0032236: Modeling Algorithms - Exception on calculation optimal bounding box
    
    BRepBndLib - added VOID box checks to AdjustFaceBox() method.

kgv

2021-03-24 10:39

developer   ~0099702

Last edited: 2021-03-24 10:39

Naive patch adding IsVoid() checks have been pushed to CR32236, though I'm not sure that assigning Edge box to Face box is correct (don't get the overall idea of this AdjustFaceBox()).

msv

2021-03-24 11:38

developer   ~0099704

Now if both FaceBox and EdgeBox are void the next possible exception can be at line 310:
  aLocBox.Get(xmin, ymin, zmin, xmax, ymax, zmax);
It is worth to protect it like it is done at line 367:
  if (!aLocBox.IsVoid())

git

2021-03-24 12:15

administrator   ~0099709

Branch CR32236 has been updated forcibly by kgv.

SHA-1: 25d0840a9c493f68c53513b33bd0c550775e0138

kgv

2021-03-24 12:17

developer   ~0099710

> It is worth to protect it like it is done at line 367:
Added.

git

2021-09-15 18:27

administrator   ~0104101

Branch CR32236_1 has been created by svetlana.shutina_170290.

SHA-1: 2afb3d6e59fdb797f895154b73849b933701a3b8


Detailed log of new commits:

Author: kgv
Date: Wed Mar 24 10:37:29 2021 +0300

    0032236: Modeling Algorithms - Exception on calculation optimal bounding box
    
     - BRepBndLib - added VOID box checks to AdjustFaceBox() method.
     - added the test

git

2021-09-16 08:53

administrator   ~0104111

Branch CR32236_1 has been updated by svetlana.shutina_170290.

SHA-1: 6323947d7c43483811eebe0d2eaec64337d4c160


Detailed log of new commits:

Author: sshutina
Date: Thu Sep 16 08:53:25 2021 +0300

    fix test

git

2021-09-16 08:54

administrator   ~0104112

Branch CR32236_2 has been created by svetlana.shutina_170290.

SHA-1: 96aaaf3ddf43150c4016ff80718367ebc803e811


Detailed log of new commits:

Author: kgv
Date: Wed Mar 24 10:37:29 2021 +0300

    0032236: Modeling Algorithms - Exception on calculation optimal bounding box
    
     - BRepBndLib - added VOID box checks to AdjustFaceBox() method.
     - added the test

git

2021-09-16 10:19

administrator   ~0104115

Branch CR32236_2 has been updated by svetlana.shutina_170290.

SHA-1: e8d040e4d19f85a4855c518a0e8e027ea8832737


Detailed log of new commits:

Author: sshutina
Date: Thu Sep 16 10:18:59 2021 +0300

    fix test

git

2021-09-16 11:41

administrator   ~0104117

Branch CR32236_2 has been updated by svetlana.shutina_170290.

SHA-1: c3860463c0645d96c2d1614fa7e5b379c1986921


Detailed log of new commits:

Author: sshutina
Date: Thu Sep 16 11:40:38 2021 +0300

    fix test

git

2021-09-16 14:06

administrator   ~0104120

Branch CR32236_2 has been updated by svetlana.shutina_170290.

SHA-1: 2e8aee8ff75d10a523230c9807fcc77c47fc93d7


Detailed log of new commits:

Author: sshutina
Date: Thu Sep 16 14:06:12 2021 +0300

    fix test

git

2021-09-16 14:07

administrator   ~0104121

Branch CR32236_3 has been created by svetlana.shutina_170290.

SHA-1: d3f55dd989a6c065c81f2f227e0d41725d7e9646


Detailed log of new commits:

Author: kgv
Date: Wed Mar 24 10:37:29 2021 +0300

    0032236: Modeling Algorithms - Exception on calculation optimal bounding box
    
     - BRepBndLib - added VOID box checks to AdjustFaceBox() method.
     - added the test

sshutina

2021-09-16 20:35

developer   ~0104133

Patch is ready for review:
- OCC Products: branch CR32236_3.

Tests are successfully: http://jenkins-test-occt/view/CR32236-master-sshutina/view/ALL/

msv

2021-09-16 21:14

developer   ~0104135

For integration:
occt - CR32236_3
products - none

bugmaster

2021-09-18 09:37

administrator   ~0104182

Combination -
OCCT branch : IR-2021-09-17
master SHA - 812ee2c9bec89902de2ff85201cb314e0de894cc
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-09-17 SHA - 1127e31e32f90ff63544b0516092694f1a36932f
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17390.540000000547 / 17358.370000000414 [+0.19%]
Products
Total CPU difference: 11364.740000000118 / 11411.36000000011 [-0.41%]
Windows-64-VC14:
OCCT
Total CPU difference: 19321.5625 / 19327.15625 [-0.03%]
Products
Total CPU difference: 12746.171875 / 12747.78125 [-0.01%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-09-18 09:54

administrator   ~0104200

Branch CR32236 has been deleted by mnt.

SHA-1: 25d0840a9c493f68c53513b33bd0c550775e0138

git

2021-09-18 09:54

administrator   ~0104201

Branch CR32236_1 has been deleted by mnt.

SHA-1: 6323947d7c43483811eebe0d2eaec64337d4c160

git

2021-09-18 09:54

administrator   ~0104202

Branch CR32236_2 has been deleted by mnt.

SHA-1: 2e8aee8ff75d10a523230c9807fcc77c47fc93d7

git

2021-09-18 09:54

administrator   ~0104203

Branch CR32236_3 has been deleted by mnt.

SHA-1: d3f55dd989a6c065c81f2f227e0d41725d7e9646

Related Changesets

occt: master 5aa7b610

2021-03-24 07:37:29

kgv


Committer: smoskvin Details Diff
0032236: Modeling Algorithms - Exception on calculation optimal bounding box

- BRepBndLib - added VOID box checks to AdjustFaceBox() method.
- added the test
Affected Issues
0032236
mod - src/BRepBndLib/BRepBndLib.cxx Diff File
add - tests/bugs/modalg_7/optimal_bndbox_exception Diff File

Issue History

Date Modified Username Field Change
2021-03-22 19:32 abezotosniy New Issue
2021-03-22 19:32 abezotosniy Assigned To => msv
2021-03-22 19:32 abezotosniy File Added: plane.brep
2021-03-24 10:15 kgv Target Version => 7.6.0
2021-03-24 10:15 kgv Summary Exception on calculation optimal bounding box => Modeling Algorithms - Exception on calculation optimal bounding box
2021-03-24 10:16 kgv Description Updated
2021-03-24 10:16 kgv Steps to Reproduce Updated
2021-03-24 10:37 git Note Added: 0099701
2021-03-24 10:39 kgv Note Added: 0099702
2021-03-24 10:39 kgv Note Edited: 0099702
2021-03-24 11:38 msv Note Added: 0099704
2021-03-24 12:15 git Note Added: 0099709
2021-03-24 12:17 kgv Note Added: 0099710
2021-08-29 19:24 msv Target Version 7.6.0 => 7.7.0
2021-09-15 14:44 kgv Assigned To msv => sshutina
2021-09-15 14:44 kgv Status new => assigned
2021-09-15 18:27 git Note Added: 0104101
2021-09-16 08:53 git Note Added: 0104111
2021-09-16 08:54 git Note Added: 0104112
2021-09-16 10:19 git Note Added: 0104115
2021-09-16 11:41 git Note Added: 0104117
2021-09-16 14:06 git Note Added: 0104120
2021-09-16 14:07 git Note Added: 0104121
2021-09-16 20:35 sshutina Test case number => bugs\modalg_7\optimal_bndbox_exception
2021-09-16 20:35 sshutina Note Added: 0104133
2021-09-16 20:35 sshutina Assigned To sshutina => kgv
2021-09-16 20:35 sshutina Status assigned => resolved
2021-09-16 21:03 kgv Assigned To kgv => msv
2021-09-16 21:14 msv Note Added: 0104135
2021-09-16 21:14 msv Assigned To msv => bugmaster
2021-09-16 21:14 msv Status resolved => reviewed
2021-09-18 09:37 bugmaster Status reviewed => tested
2021-09-18 09:37 bugmaster Note Added: 0104182
2021-09-18 09:43 smoskvin Changeset attached => occt master 5aa7b610
2021-09-18 09:43 smoskvin Assigned To bugmaster => smoskvin
2021-09-18 09:43 smoskvin Status tested => verified
2021-09-18 09:43 smoskvin Resolution open => fixed
2021-09-18 09:54 git Note Added: 0104200
2021-09-18 09:54 git Note Added: 0104201
2021-09-18 09:54 git Note Added: 0104202
2021-09-18 09:54 git Note Added: 0104203